<!-- File Selector -->
<html>

<head>
<title>{%const:title%} - {%title%}{%const:long%}</title>
{%glo:PageEncoding%}
<link rel="stylesheet" href="{%glo:cfgWebRoot%}gui/style.css" type="text/css">
<script language=javascript for=window event=onload>
<!--
  function doOnLoad()
  {
    document.getElementById('Input').value = window.dialogArguments;
  }
// -->
</script>
<script language="JavaScript">
<!--
/*function OkClick() {
//  var arr = new Array();
  arr = document.Form.Input.value;
  window.returnValue = arr;
  window.close();
}*/
// -->
</script>


<script language="javascript">
<!--
function OnLoad() {
  doOnLoad();

  for ( elem in window.dialogArguments )
  {
    switch( elem )
    {
    case "LinkUrl":
      document.Form.Input.value=window.dialogArguments["LinkUrl"];
      break;
    case "LinkTarget":
      document.Form.LinkTarget.value=window.dialogArguments["LinkTarget"];
      break;
    }
  }
}
// -->
</script>
<script language="javascript">
<!--
function OnOk() {
  var arr = {};
  if (document.Form.Input.value ==''){
    alert('You did not select a link. Existing link will be retained.');
  }
  arr["LinkUrl"] =  document.Form.Input.value;
  if (document.Form.LinkTarget.selectedIndex!=-1)
    arr["LinkTarget"] = document.Form.LinkTarget[document.Form.LinkTarget.selectedIndex].value;
  else
    arr["LinkTarget"] = "";
  window.returnValue = arr;
  window.close();
}
// -->
</script>

</head>

<body bgcolor="#E8E8E8" OnLoad="OnLoad();">
<form name="Form" id="Form">
<input type="hidden" name="Path" id="Path" value="">
<table width="100%" height="100%" cellpadding="3" cellspacing="3" border="0">
  <tr>
    <td colspan="3" width="100%">
    <iframe frameborder="1" name="iframe" id="iframe" width="100%" height="100%" src="{%str:frame%}" style="z-index:1;" scrolling="auto"></iframe>
    </td>
  </tr>
  <tr>
    <td height="25" width="30%" align="left" nowrap>
    {%%if:canmanagefiles:ok%%}
    <input type="button" value="Upload" OnClick="document.getElementById('iframe').location='?module=files&action=upload&dialog=1&close=no&site_id={%glo:site_id%}&view={%glo:view%}&path='+document.Form.Path.value;">
    <input type="button" value="Make Directory" OnClick="document.getElementById('iframe').location='?module=files&action=newdir&dialog=1&close=no&site_id={%glo:site_id%}&view={%glo:view%}&path='+document.Form.Path.value;">
    {%%endif%%}
    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
    Target:
      <select name="LinkTarget" id="LinkTarget">
      <option value="_self">_self</option>
      <option value="_top">_top</option>
      <option value="_blank">_blank</option>
      </select>
    </td>
    <td height="25" width="20%" align="right" nowrap>{%str:label%}</td>
    <td height="25" width="50%" align="left"><input name="Input" id="Input" type="text" style="width: 100%"></td>
  </tr>
  <tr>
    <td height="30" width="25%" align="left"></td>
    <td height="30" width="25%" align="left"></td>
    <td height="30" width="50%" align="right">
    <input type="button" name="Ok" class="formButton" tabindex="1" value="&nbsp;&nbsp;&nbsp;OK&nbsp;&nbsp;&nbsp;" OnClick="OnOk();">
    <input type="button" name="Cancel" class="formButton" value="Cancel" OnClick="window.close();">
    </td>
  </tr>
</table>
</form>
</body>

</html>
